# QRicker

> QCloud 工程化脚手架。支撑高质量高效率研发。


# Install

```
gem build qricker.gemspec
gem install qricker-0.0.1.gem --http-proxy http://dev-proxy.oa.com:8080
```

> 如果你要全局安装，请在命令之前加sudo


# Usage

```
NAME
    qricker - Describe your application here

SYNOPSIS
    qricker [global options] command [command options] [arguments...]

VERSION
    0.0.1

GLOBAL OPTIONS
    --help    - Show this message
    --version - Display the program version

COMMANDS
    collect - collect all podspec file in special path
    help    - Shows a list of commands or help for one command
```

# 在QCloud iOS打包中的应用

首先切到工程根目录下面运行命令，收集改目录下面的所有的podspec

~~~
qricker collect
~~~
改命令会收集目录下面所有的podspec，并以标准的配置文件的方式输出到文件podspecs.rclt

使用cocoapods-package进行打包

> 指定参数--rclt，改参数表述在引用本地的podspec索引信息

例如：

~~~
pod package ./QCloudCOSXML.podspec --rclt=../../../podspecs.rclt --exclude-deps --no-mangle --embedded
~~~